biterp

Atualizar produto

Mesmas regras de unidade que no POST: prefira `unit_of_measurement_id`; `br_data.unit_of_measure` permanece aceito (depreciado) e deve coincidir com o UUID quando ambos forem enviados.

PATCH
/products/{id}
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.biterp.ai/products/{id}" \  -H "Content-Type: application/json" \  -d '{    "unit_of_measurement_id": "a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"  }'
{
  "id": "string",
  "reference_code": "string",
  "name": "string",
  "description": "string",
  "tags": [
    "string"
  ],
  "type": "goods",
  "sale_price": "99.900000",
  "image_url": "string",
  "is_blocked": true,
  "metadata": {},
  "unit_of_measurement": {
    "id": "string",
    "code": "string",
    "symbol": "string"
  },
  "br_data": {
    "ncm_code": "string",
    "cest_code": "string",
    "origin": "string",
    "extipi": "string",
    "ibs_cbs_cst": "string",
    "ibs_cbs_classification": "string",
    "ibs_cbs_operation_indicator_code": "string",
    "ibs_cbs_is_personal_use": true
  },
  "us_data": {
    "hts_code": "string",
    "schedule_b_code": "string",
    "eccn_code": "string",
    "tax_code": "string",
    "sales_tax_category": "string",
    "country_of_origin": "string",
    "upc_code": "string"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}